ql-set-cmd-timeout(8)

NAME
ql-set-cmd-timeout - set the timeout on the devices connected to the QLogic FC HBA.

SYNOPSIS
ql-set-cmd-timeout [OPTIONS]

DESCRIPTION
QLogic Linux Set Device Timeout Utility

This utility allows you to set the timeout on the devices connected to the QLogic FC HBA. This timeout value applies to the commands sent to the device. This can help when target devices take longer to execute a command, for example under heavy I/O. Setting a longer timeout reduces the chance of the Linux SCSI mid-layer driver aborting the tasks after a timeout.

    [DEFAULT]

    Display timeout of devices connected to all HOSTs

    [HOST]

    Display timeout of devices connected to HOST

    [HOST] [TARGET]

    Display timeout of devices connected to a TARGET on HOST

    [HOST] [TARGET] [TIMEOUT]

    To set timeout on devices connected to a TARGET on HOST

-h,  --help, ?
    Prints this help message

-i,  --interactive
    Use this option to use the menu driven program

SEE ALSO
ql-dynamic-tgt-lun-disc(8), ql-lun-state-online(8), ql-hba-snapshot(8)